## org.eclipse.datatools.modelbase.sql.query.util
Class SQLQuerySourceInfo

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.query.util.SQLQuerySourceInfo

public class SQLQuerySourceInfo
extends java.lang.Object

Author:
  ckadner TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`SQLQuerySourceInfo()`
`SQLQuerySourceInfo(SQLQueryObject queryObjectBackRef)` Constructor.

Method Summary
`int` `getColumnNumberEnd()`
`int` `getColumnNumberStart()`
`java.util.List` `getComments()` Returns the List of `SQLComment`s.
`int` `getLineNumberEnd()`
`int` `getLineNumberStart()`
`SQLQueryObject` `getQueryObjectBackReference()` Returns the queryObject that holds this `SQLQuerySourceInfo`.
`java.lang.String` `getSourceSnippet()`
`int` `getSpanEndOffset()`
`int` `getSpanStartOffset()`
`SQLQuerySourceFormat` `getSqlFormat()` Note: if this `SQLQuerySourceInfo`'s reference to the `SQLQuerySourceFormat` is `null`, `SQLQuerySourceFormat.SQL_SOURCE_FORMAT_DEFAULT` instance will be returned.
`void` `setColumnNumberEnd(int columnNumberEnd)`
`void` `setColumnNumberStart(int columnNumberStart)`
`void` `setComments(java.util.List comments)` Sets the List of `SQLComment`s.
`void` `setLineNumberEnd(int lineNumberEnd)`
`void` `setLineNumberStart(int lineNumberStart)`
`void` `setQueryObjectBackReference(SQLQueryObject queryObjectBackRef)` Sets the queryObject that holds this `SQLQuerySourceInfo`.
`void` `setSourceSnippet(java.lang.String sourceSnippet)`
`void` `setSpanEndOffset(int spanEndOffset)`
`void` `setSpanStartOffset(int spanStartOffset)`
`void` `setSqlFormat(SQLQuerySourceFormat sqlFormat)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQuerySourceInfo

    public SQLQuerySourceInfo()

### SQLQuerySourceInfo

    public SQLQuerySourceInfo(SQLQueryObject queryObjectBackRef)

  Constructor. Will hold a back reference to the `SQLQueryObject` that holds this `SQLQuerySourceInfo`.

Parameters:
  `queryObjectBackRef` - will be hold as a weak reference

Method Detail

### getSqlFormat

    public SQLQuerySourceFormat getSqlFormat()

  Note: if this `SQLQuerySourceInfo`'s reference to the `SQLQuerySourceFormat` is `null`, `SQLQuerySourceFormat.SQL_SOURCE_FORMAT_DEFAULT` instance will be returned. No modifications on its members are allowed as that `SQLQuerySourceFormat` instance is `final`.

  Returns:
    Returns this `sqlFormat` or, if that's `null`, `SQLQuerySourceFormat#SQL_SOURCE_FORMAT_DEFAULT`

### setSqlFormat

    public void setSqlFormat(SQLQuerySourceFormat sqlFormat)

  Parameters:
    `sqlFormat` - The sqlFormat to set.

### getSourceSnippet

    public java.lang.String getSourceSnippet()

  Returns:
    Returns the sourceSnippet.

### setSourceSnippet

    public void setSourceSnippet(java.lang.String sourceSnippet)

  Parameters:
    `sourceSnippet` - The sourceSnippet to set.

### getSpanEndOffset

    public int getSpanEndOffset()

  Returns:
    Returns the spanEndOffset.

### setSpanEndOffset

    public void setSpanEndOffset(int spanEndOffset)

  Parameters:
    `spanEndOffset` - The spanEndOffset to set.

### getSpanStartOffset

    public int getSpanStartOffset()

  Returns:
    Returns the spanStartOffset.

### setSpanStartOffset

    public void setSpanStartOffset(int spanStartOffset)

  Parameters:
    `spanStartOffset` - The spanStartOffset to set.

### getColumnNumberEnd

    public int getColumnNumberEnd()

  Returns:
    Returns the columnNumberEnd.

### setColumnNumberEnd

    public void setColumnNumberEnd(int columnNumberEnd)

  Parameters:
    `columnNumberEnd` - The columnNumberEnd to set.

### getColumnNumberStart

    public int getColumnNumberStart()

  Returns:
    Returns the columnNumberStart.

### setColumnNumberStart

    public void setColumnNumberStart(int columnNumberStart)

  Parameters:
    `columnNumberStart` - The columnNumberStart to set.

### getLineNumberEnd

    public int getLineNumberEnd()

  Returns:
    Returns the lineNumberEnd.

### setLineNumberEnd

    public void setLineNumberEnd(int lineNumberEnd)

  Parameters:
    `lineNumberEnd` - The lineNumberEnd to set.

### getLineNumberStart

    public int getLineNumberStart()

  Returns:
    Returns the lineNumberStart.

### setLineNumberStart

    public void setLineNumberStart(int lineNumberStart)

  Parameters:
    `lineNumberStart` - The lineNumberStart to set.

### getComments

    public java.util.List getComments()

  Returns the List of `SQLComment`s.

  Returns:
    List of `SQLComment`s.

### setComments

    public void setComments(java.util.List comments)

  Sets the List of `SQLComment`s.

  Parameters:
    `comments` - The List of `SQLComment`s to set.

### getQueryObjectBackReference

    public SQLQueryObject getQueryObjectBackReference()

  Returns the queryObject that holds this `SQLQuerySourceInfo`.

  Returns:
    Returns the queryObject that holds this `SQLQuerySourceInfo`, is hold as a weak reference

### setQueryObjectBackReference

    public void setQueryObjectBackReference(SQLQueryObject queryObjectBackRef)

  Sets the queryObject that holds this `SQLQuerySourceInfo`.

  Parameters:
    `queryObjectBackRef` - The queryObjectBackRef to set, will be hold as a weak reference

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.